REM disk sharring above os control
REM careful this will replace existing files on your system
REM chooce an unused directy for i/o like
REM C:serlink\
CLS
CLOSE
OPEN "com2:19200,n,8,1" FOR RANDOM AS #2

DO
INPUT "drive"; dr$
CHDIR dr$: FILES
  INPUT "output file"; na$

OPEN na$ FOR INPUT AS #1


DO
LOCATE 3, 1
PRINT LOF(1), EOF(1)
   INPUT #1, txt$
   PRINT #2, txt$
LOOP UNTIL EOF(1)
CLOSE #1


LOOP UNTIL na$ = ""


